#
# spec file for package python3-django-cassandra-engine
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-django-cassandra-engine
Version:        1.0.2
Release:        1.7
License:        BSD-2-Clause
Summary:        Django Cassandra Engine - the Cassandra backend for Django
Url:            http://github.com/r4fek/django-cassandra-engine
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-cassandra-engine/django-cassandra-engine-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-cassandra-driver >= 2.5.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
django-cassandra-engine is a database wrapper for Django Framework. It
uses latest Cqlengine which is currently the best Cassandra CQL 3
Object Mapper for Python.

%prep
%setup -q -n django-cassandra-engine-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Mon Jan  9 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.2:
  * Connect to Cassandra before importing models
- changes from version 1.0.1:
  * Fix #82: Support cassandra-driver==3.7.1
- changes from version 1.0:
  * Fix #66: _meta API support (by awesome @richardasaurus)
* Sun Sep  4 2016 arun@gmx.de
- update to version 0.11.1:
  * Fix for #70 "AttributeError: operators (by @bezineb5)
  * Fix #72: Django 1.10 makemigrations issue
  * Fix #74: supress emit_post_migrate_signal in sync_cassandra (by
    @jamey)
* Sun Aug  7 2016 arun@gmx.de
- update to version 0.11.0:
  * Fix #69: Replace NoArgsCommand with BaseCommand to accommodate
    1.10 upgrade (by @BenBrostoff)
  * Update cassandra-driver to 3.6.0
* Fri Jul 22 2016 arun@gmx.de
- update to version 0.10.1:
  * Update cassandra-driver to 3.5.0
* Sat Jun 18 2016 arun@gmx.de
- update to version 0.10.0:
  * Update to emit post migrate signal (by @kamal-una)
  * Update cassandra-driver to 3.4.1
* Sun May 15 2016 arun@gmx.de
- update to version 0.9.0:
  * Update cassandra-driver to 3.3.0
  * Update FAQ about uwsgi support
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Apr 21 2016 arun@gmx.de
- update to version 0.8.1:
  * Update cassandra-driver to 3.2.2 (check PYTHON-547).
- changes from version 0.8.0:
  * Update cassandra-driver to 3.2.1
* Sat Mar 26 2016 arun@gmx.de
- update to version 0.7.4:
  * Fix error thrown in runserver command
- changes from version 0.7.3:
  * Minor fix in sessions backend (remove pk from Session.expire_date)
* Tue Mar 15 2016 arun@gmx.de
- update to version 0.7.2:
  * Locked cassandra-driver version in setup.py (fixup)
- changes from version 0.7.1:
  * Update cassandra-driver to 3.1.1 due to PYTHON-522
  * Fix #55: pypi page looks strange
* Sat Mar 12 2016 arun@gmx.de
- specfile:
  * no more READEM in tar-bal, removed %%doc
- update to version 0.7.0:
  * Update cassandra-driver to 3.1.0
  * Fix syncdb command in Django>=1.9
  * Fix not working django.contrib.admin app when dce is used
  * Add tox for running tests easily
  * Introduce sessions app
  * Update docs
* Fri Mar  4 2016 arun@gmx.de
- update to version 0.6.6:
  * Update requirements.txt to support Django<1.10
* Wed Feb 24 2016 arun@gmx.de
- update to version 0.6.5:
  * Fix support for latest django-nose==1.4.3
* Sat Feb  6 2016 arun@gmx.de
- update to version 0.6.4:
  * Get rid of race condition in CassandraConnection.setup
  * Remove not needed reconnecting on @postfork
* Sun Jan 17 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.6.3:
  * Major improvement in tests execution time
* Sun Dec 13 2015 arun@gmx.de
- update to version 0.6.2:
  * Support Django==1.9
- changes from version 0.6.1:
  * Fix CassandraConnection.setup method (thanks @mateuszm!)
* Thu Nov 26 2015 arun@gmx.de
- update to version 0.6.0:
  * Update cassandra-driver to 0.3.0
* Tue Oct 20 2015 arun@gmx.de
- update to version 0.5.2:
  * Update cassandra-driver to 2.7.2
- changes from version 0.5.1
  * fix #44: Fix migrate command when working in a multi db
    environment (by @paksu)
- changes from version 0.5.0:
  * Fix CassandraDatabaseFeatures.supports_transactions (thanks
    @slurms)
  * Update cassandra-driver to 2.7.1
* Tue Jul 21 2015 arun@gmx.de
- update to version 0.4.0:
  * Update cassandra-driver to 2.6.0
* Mon Jul 13 2015 arun@gmx.de
- update to versio 0.3.4:
  * Set Session attributes in class instead of local instance (by
    @mateuszm)
* Mon May 25 2015 arun@gmx.de
- update to version 0.3.3:
  * RemovedInDjango19Warnings when using Django >= 1.7 (by @paksu)
  * set session.default_consistency_level
* Sat May  9 2015 arun@gmx.de
- update to version 0.3.2:
  * upgrade cassandra-driver to 2.5.1
* Fri Apr 10 2015 arun@gmx.de
- specfile:
  * removed djangotoolbox
- update to version 0.3.1:
  * fix #30: Add support for Django>=1.8
  * remove djangotoolbox dependency
  * fix #21: Python 3 compatibility
* Sat Apr  4 2015 arun@gmx.de
- specfile:
  * update requirements:
    + removed cqlengine
    + added cassandra-driver
    + added djangotoolbox
- update to version 0.3.0:
  * fix #29: Update to use integrated cqlengine via
    cassandra-driver>=2.5.0 (by @mbeacom and @r4fek)
* Wed Mar 25 2015 arun@gmx.de
- update to version 0.2.3:
  * fix #15: test database not used by code under test (by @lsmithso)
  * fix #25: working fixtures in django_cassandra_engine.test.TestCase
    (by @slurms)
* Tue Jan 20 2015 arun@gmx.de
- update to version 0.2.2:
  * add support for Django==1.5
  * add support for Django>=1.7.2
  * add get_engine_from_db_alias util function
* Sat Jan 17 2015 arun@gmx.de
- specfile:
  * update copyright year
  * removed if case for opensuse 1220 and older
- update to version 0.2.1:
  * update cqlengine to 0.21.0
  * move syncing code to sync_cassandra command
  * Refactor test runner
  * separate settings modules to make testing easier
  * new test application: multiapp
  * new get_cassandra_connections function to return list of all
    cassandra conncetions defined in DATABASES setting
  * get_cassandra_connection now accepts alias and name parameters
  * get_cql_models now returns models for given keyspace
* Sat Dec 13 2014 arun@gmx.de
- update to version 0.1.8:
  * add working Cursor implementation
  * ability to perform raw CQL queries
  * improve support for Django 1.7
  * present get_cassandra_connection helper
  * add more tests
* Wed Nov 26 2014 arun@gmx.de
- Update to version 0.1.7
  * revert broken consistency fix
- Changes from version 0.1.6
  * fix passing proper consistency option to cqlengine.setup
  * add more tests
  * bump cqlengine to 0.20.0
- Changes from version 0.1.5
  * ability to set cassandra.cluster.Session options like default_timeout (thanks @danpilch)
* Mon Nov 10 2014 arun@gmx.de
- initial version
